org.eclipse.wst.jsdt.core.refactoring

## Interface IJavaScriptElementMapper

    public interface IJavaScriptElementMapper

An `IJavaScriptElementMapper` provides methods to map an original elements to its refactored counterparts.

An `IJavaScriptElementMapper` can be obtained via `org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor#getAdapter(Class)`.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaScriptElement` `getRefactoredJavaScriptElement(IJavaScriptElement element)` Returns the refactored Java element for the given element.

### Method Detail

#### getRefactoredJavaScriptElement

    IJavaScriptElement getRefactoredJavaScriptElement(IJavaScriptElement element)

Returns the refactored Java element for the given element. The returned Java element might not yet exist when the method is called. Note that local variables cannot be mapped using this method.

Parameters:
  `element` - the element to be refactored
Returns:
  the refactored element for the given element